import Taro, { Component } from '@tarojs/taro'
import { View, Image } from '@tarojs/components'
import { connect } from '@tarojs/redux'
import './index.scss'


@connect(({ nav }) => ({
  nav
}), (dispatch) => ({
}))
class Index extends Component {

  componentWillReceiveProps (nextProps) {
    console.log(this.props, nextProps)
  }

  componentWillUnmount () { }

  componentDidShow () { }

  componentDidHide () { }

  navBack = () => {
   Taro.navigateBack({
     delta: 1
   })      
  }

  //回主页
  toIndex = () => {
   Taro.navigateTo({
     url: '/pages/index/index'
   })
  }

  render () {
   const {showBack, bgColor, pageName, nav, showIndex} = this.props
   console.log(this.props)
   const titleTop = (nav.globalData.navHeight - nav.globalData.navTop - 20) / 2 + nav.globalData.navTop
    return (
     <View className='navbar custom-class' style={`height:${nav.globalData.navHeight}px;background-color:${bgColor}`}>
      {showBack && <View
        className='navbar-action-wrap navbar-action-group' 
        style={`top:${titleTop}px;background-color:rgba(255,255,255,.6)`}
      >
      <Image onClick={this.navBack} className='icon' src='http://hh-oss-picture.miyapay.com/box/c66db9ee434dd2061fbb949db0af797d.png' />
      </View>
      }
      {showIndex && <View
        className='navbar-action-wrap navbar-action-group' 
        style={`top:${titleTop}px;background-color:rgba(255,255,255,.6)`}
      >
      <Image onClick={this.toIndex} className='icon' src='http://hh-oss-picture.miyapay.com/box/2df3231a694bd87e613eedef7a236d4b.png' />
      </View>
      }
      {this.props.children}
      <View class='navbar-title' style={`top:${titleTop}px`}>
        {pageName}
      </View>
     </View>
    )
  }
}

export default Index
