import Taro, {Component} from '@tarojs/taro'
import { View, OpenData} from '@tarojs/components'
import { connect } from '@tarojs/redux'
import { setUserInfo } from '@/actions/user'
import NavBar from '@/components/NavBar'
import './index.scss'


@connect(({ user, nav }) => ({
  user, nav
}), (dispatch) => ({
  setUserInfo (data) {
    dispatch(setUserInfo(data || {}))
  },
}))
class Index extends Component {

  state = {}

  componentWillReceiveProps (nextProps) {
    console.log(this.props, nextProps)
  }

  componentWillUnmount () { }
  componentDidMount() {}
  componentDidShow () { }

  componentDidHide () { }
  render () {
    return (
      <View>
        <NavBar pageName='门店' bgColor='#fff'></NavBar>
        <OpenData type='userAvatarUrl'></OpenData>
        <OpenData type='userNickName'></OpenData>
      </View>
    )
  }
}

export default Index
